Bug 120856 - mime types based on extension are ignored
Summary: mime types based on extension are ignored
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-14 15:47 UTC by Jens Hardings
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 14:33:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Hardings 2004-04-14 15:47:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Case 1: user-defined mimetypes

When defining a new mime-type using the gnome-file-types-properties
and defining an extension, the files are not recognized as such. In my
case I tried to create a mime-type for files ending in .glx, which are
recognized as being text/plain. The files get properly updated in
$HOME/.gnome/mime-info/user.mime and user.keys, but are somehow
ignored. If I define the same applications for the text/plain mimetype
in the same files, it works without any problem (but obviously opens
any text/plain file with the designated application), so the files are
not completely ignored.

Case 2: system-defined mimetypes

The planner package (mrproject) installs its mime-types in
/usr/share/mime-info/planner.{mime,keys}, but the files are recognized
as being text/xml instead of application/x-mrproject. Thus, the
associated applications do not include the 'planner' as it should.


Version-Release number of selected component (if applicable):
gnome-vfs2-2.6.0-1

How reproducible:
Always

Steps to Reproduce:
1. Create a new planner (mrproject) file
2. Try to open it using doubleclick in nautilus or try to look at the
properties which indicate the detected mime-type
    

Actual Results:  The defined application for mime-type text/xml is
opened, and the mime-type 'text/xml' is displayed in the properties.

Expected Results:  The application 'planner' to be executed, and the
mime-type 'application/x-mrproject' to be displayed in the properties

Additional info:

These applications are not the only ones to present this problem,
apparently the file-extension based mime-type recognition is not
working as it is supposed to according to the gnome 2.6 documentation.

Comment 1 Alexander Larsson 2006-09-01 14:33:16 UTC
If you define a text type you need to make the new mimetype inherit from
text/plain to make the extension mapping override the sniffed type.



Note You need to log in before you can comment on or make changes to this bug.